## cascading.tap.hadoop
Class Hadoop18TapUtil

    java.lang.Object
      cascading.tap.hadoop.Hadoop18TapUtil

    public class Hadoop18TapUtil

extends Object

Constructor Summary
`Hadoop18TapUtil()`

Method Summary
`static void` `cleanupTap(JobConf conf, Tap tap)` Called from flow step to remove temp dirs
`static void` `commitTask(JobConf conf)` copies all files from the taskoutputpath to the outputpath
`static void` `makeTempPath(JobConf conf)`
`static boolean` `needsTaskCommit(JobConf conf)`
`static void` `setupJob(JobConf conf)` should only be called if not in a Flow

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Hadoop18TapUtil

    public Hadoop18TapUtil()

Method Detail

### setupJob

    public static void setupJob(JobConf conf)
                         throws IOException

  should only be called if not in a Flow

  Parameters:
    `conf` -
  Throws:
    `IOException`

### needsTaskCommit

    public static boolean needsTaskCommit(JobConf conf)
                                   throws IOException

  Throws:
    `IOException`

### commitTask

    public static void commitTask(JobConf conf)
                           throws IOException

  copies all files from the taskoutputpath to the outputpath

  Parameters:
    `conf` -
  Throws:
    `IOException`

### cleanupTap

    public static void cleanupTap(JobConf conf,
                                  Tap tap)
                           throws IOException

  Called from flow step to remove temp dirs

  Parameters:
    `conf` -
  Throws:
    `IOException`

### makeTempPath

    public static void makeTempPath(JobConf conf)
                             throws IOException

  Throws:
    `IOException`

Copyright © 2007-2010 Concurrent, Inc. All Rights Reserved.